Create Customer
curl --request POST \
--url https://spark.test.woodcore.co/api/v2/clients \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"_isActive": true,
"_isAddressEnabled": true,
"city": "HungerFord",
"clientType": "individual",
"country": "The Gambia",
"createDepositAccount": false,
"createdDate": "12 April 2023",
"dateOfBirth": "10 February 1997",
"emailAddress": "wair33214@yopmail.com",
"externalId": "T-803",
"firstname": "Peter",
"gender": "male",
"lastname": "Thompson",
"middlename": "Segun",
"mobileNo": "2349047838783",
"officeId": 1,
"productId": 1,
"state": "Banjul",
"street": "11, Longway, Hungerford, Gambia",
"tierLevel": 3
}
'import requests
url = "https://spark.test.woodcore.co/api/v2/clients"
payload = {
"_isActive": True,
"_isAddressEnabled": True,
"city": "HungerFord",
"clientType": "individual",
"country": "The Gambia",
"createDepositAccount": False,
"createdDate": "12 April 2023",
"dateOfBirth": "10 February 1997",
"emailAddress": "wair33214@yopmail.com",
"externalId": "T-803",
"firstname": "Peter",
"gender": "male",
"lastname": "Thompson",
"middlename": "Segun",
"mobileNo": "2349047838783",
"officeId": 1,
"productId": 1,
"state": "Banjul",
"street": "11, Longway, Hungerford, Gambia",
"tierLevel": 3
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
_isActive: true,
_isAddressEnabled: true,
city: 'HungerFord',
clientType: 'individual',
country: 'The Gambia',
createDepositAccount: false,
createdDate: '12 April 2023',
dateOfBirth: '10 February 1997',
emailAddress: 'wair33214@yopmail.com',
externalId: 'T-803',
firstname: 'Peter',
gender: 'male',
lastname: 'Thompson',
middlename: 'Segun',
mobileNo: '2349047838783',
officeId: 1,
productId: 1,
state: 'Banjul',
street: '11, Longway, Hungerford, Gambia',
tierLevel: 3
})
};
fetch('https://spark.test.woodcore.co/api/v2/clients', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}Customer
Create Customer
POST
/
clients
Create Customer
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/jsontext/plain
Example:
true
Example:
true
Example:
"HungerFord"
Example:
"individual"
Example:
"The Gambia"
Example:
false
Example:
"12 April 2023"
Example:
"10 February 1997"
Example:
"wair33214@yopmail.com"
Example:
"T-803"
Example:
"Peter"
Example:
"male"
Example:
"Thompson"
Example:
"Segun"
Example:
"2349047838783"
Example:
1
Example:
1
Example:
"Banjul"
Example:
"11, Longway, Hungerford, Gambia"
Example:
3
Response
200 - application/json
{}
The response is of type object.
⌘I